# frozen_string_literal: true

require 'English'

Gem::Specification.new do |s|
  s.name          = 'tiny_conveyor'
  s.version       = '0.0.2'
  s.required_ruby_version     = '>= 2.0.0'
  s.required_rubygems_version = '>= 1.8.11'
  s.summary       = 'Tiny wrapper aroung concurent ruby to create a queue of tasks'
  s.authors       = ['Flo Girardo']
  s.email         = 'florian@barbrousse.net'
  s.files = `git ls-files`.split($RS).reject do |file|
    file =~ %r{^spec/}
  end
  s.require_paths = ['lib']
  s.homepage      =
    'https://framagit.org/Radoteur/tiny-conveyor'
  s.license       = 'MIT'
  s.add_dependency 'concurrent-ruby', '~> 1.1', '>= 1.1.5'
  s.add_development_dependency('rspec', '~> 3')
  s.add_development_dependency('yard', '~> 0.9')
end
